Subject: Interix support: perl58, openssl
To: None <>
From: Todd Vierling <>
List: tech-pkg
Date: 04/27/2004 10:01:53
This may be the last announcement you see on tech-pkg about Interix support
in pkgsrc unless something else comes along of major significance.  Interix
support is now being tracked alongside the other pkgsrc ports on the pkgsrc
information webpage:

The binary bootstrap-pkgsrc kit, and a link to the binary packages
repository for Interix 3.5, are now listed on that page.

Notable things of interest:

* Perl 5.8 works, and is now the default for pkgsrc.  The doc file
  pkgsrc/bootstrap/README.Interix now notes that the SFU component "UNIX
  Perl" should not be installed if pkgsrc is used.

* OpenSSL works.

* Packages which need custom users/groups are beginning to work.  There are
  {user,group}{add,del} emulation scripts in pkgsrc/sysutils/user_interix
  which will be pulled in as necessary (or you can feel free to install
  that package yourself for administrative convenience).

* OpenSSH does NOT work yet.  This is being fixed now.  The first pass will
  disable privilege separation when building on Interix, but this will be
  fixed later.

-- Todd Vierling <> <>